/**
 * @file
 * global
 * 
 * Theme styles for the entire site
 *
 * Added through the .info file.
 *
 * Theme Color: #bb161d;
 */
 
/*=======================================
   Global
  =======================================*/

body {
  font-family: 'Roboto', Arial, sans-serif;
  line-height: 1.5;
  font-size: 1.1em;
}
.views-field-field-image img {width: 100%;}

/*=======================================
   Nodes
  =======================================*/

/*----------------------------
   Careers
  ----------------------------*
.node--type-page .field-node--body {
  float: left;
  width: calc(100% - 500px);
}

.node--type-page .field-node--field-images {
  float: right;
}

/*=======================================
   Regions
  =======================================*/

/*----------------------------
   Header
  ----------------------------*/
header.layout-header{
  border-bottom: 1px solid #aaaaaa;  
}

.page {  position: relative;  }

.fixed-header .layout-header {
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 100;
  background: rgba(255, 255, 255, 0.7);
}

h1 {
  text-transform: uppercase;
  margin-bottom:1em;
}

/* Main menu */
.menu-name--main .is-parent {
  border-bottom: 2px solid rgba(0,0,0,0);
}
.dropdown-menu {
  margin: 0;
}

/*-----------------------------
   Main Content
  ----------------------------*/

.layout-content-inner {
  padding-bottom: 3em;
}

#block-modern-page-title {
  padding-bottom: 2em;
}

/* Node */
.node__content ul {  padding-left: 2em;  }

.node__content li {
  color: #777;
  margin: .1em 0;
}

/*----------------------------
   Footer
  ----------------------------*/

/* Backgrounds */
footer {
  background: url(images/bg-footer.jpg) center center; 
  background-size: cover;
  color: #fff;
}

.subfooter {
  position: relative;
}

.footer {
  background: #000;
  opacity:.8;
}

/* Copyright */
#block-copyright {  font-size: 0.9em;  }

/* Layout */
#block-footer-social {
  -webkit-box-flex: 3;
  -ms-flex: 3;
  flex: 3;
  padding-top: 15px;
}

.footer-groups--icons {
  max-width: 10em;
  float: right;
}

.contact-footer > .view-content {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  color: #fff;
}

/* Addresses
----------------*/
.footer-group--contact {
  display: inline-block;
  margin: 1em 4em 0 0;
  color: #fff;
  text-align: center;
}

.footer-group__body p {
  font-size: 1.1em;
  color: #fff;
  margin: .2em 0;
}

.footer-group__map-link {
  margin: 1em 0 .5em 0;
}

/* Buttons for Contact Footer + Contacts Page */
.simple-btns a {
  border: 1px solid currentColor;
  padding: .2em .6em;
  font-size: .9em;
  text-transform: uppercase;
}

/* Safe
----------------*/
.footer-group--safe {
  margin: 0 auto .7em;
  max-width: 7em;
}

/* Social
----------------*/
.socials {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
  justify-content: space-around;
  -webkit-box-pack: space-evenly;
  -ms-flex-pack: space-evenly;
  justify-content: space-evenly;
}

/* Icons */
.social svg {
  width: 2.5em;
  height: 2.5em;
  margin-right: .5em;
  fill: currentColor;
}

/* Colors */
.social--fb {
  color: #4B6B94;
}

.social--fb svg {
  background: -webkit-gradient(linear, left top, right top, color-stop(10%, rgba(0,0,0,0)), color-stop(10%, #fff), color-stop(90%, #fff), color-stop(90%, rgba(0,0,0,0)));
  background: linear-gradient(to right, rgba(0,0,0,0) 10%, #fff 10%, #fff 90%, rgba(0,0,0,0) 90%);
}

.social--insta {
  color: #E4405F;
}

/*
 .subfooter:before {
  content: '';
  position: absolute;
  top: 0;
  -webkit-filter: blur(.2em);
  filter: blur(.2em);
  z-index: -1;
  height: 110%;
  width: 110%;
  background: url(https://cdn.pixabay.com/photo/2018/08/21/23/29/fog-3622519_960_720.jpg) center bottom;
  background-size: cover;
} */

/*==============================================================
   Pages
  ==============================================================*/

/* Contact */
.contact-page .views-row {
  display: inline-block; 
  text-align: center;
  margin: 0 1.5em;
}

/*----------------------------
   Services
  ----------------------------*/

/* Services - All */
#block-services-teaser .service-teaser__icon {
  margin-right: 2em;
}

#block-services-teaser h3 {
  font-size: 1.3em;
  margin: 0 0 .3em 0;
}

#block-services-teaser .views-row {
  clear: both;
  padding-top: 2em;
}

/* Gallery Sidebar */
.gallery-sidebar .views-field-field-images a {
  margin: 0 0 1em;
}

/*==============================================================
   Responsive
  ==============================================================*/



@media screen and (min-width: 600px) {
  
}

@media screen and (min-width: 900px) {

  /*----------------------------
     Sidebar
    ----------------------------*/
  .layout-content-inner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
  
  .layout-main-content {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
  }

  .layout-sidebar {
    width: 21em;
    min-width: 21em;
    opacity: .9;
    margin-left: 2em;
  }
}
.slicknav_btn, .slicknav_menu{
  display: none;
}


@media screen and (max-width: 1107px) {
  .slicknav_menu{
    display : block;
  }
  .menu-name--main{
  display: none;
  }
  .slicknav_nav{
    background: #4c4c4c;
  }
 .slicknav_menu{
      display : block;
      position: absolute;
      right: 0;
      z-index: 999;
      background: none !important;
      width: 100%;
      padding: 0 !important;
    }
    ul.slicknav_nav .menu__item--active-trail a{
      background: #4CAF50;
    }
    .slicknav_nav .dropdown-menu{
        background: #2f2a2a;
        float: none;
        margin: 5px;
        position: relative;
    }
  .slicknav_btn {
      margin: 40px 30px 6px !important;
  }
}
@media screen and (min-width: 768px) {
  .slicknav_menu{
    padding: 0;
  }
  .slicknav_nav{
        background: #4c4c4c;
        margin-top: 100px !important;
  }
}
@media screen and (max-width: 767px) {
   
    .view-grid.grid--flex > .view-content{
      display: table;
    }
    h1{font-size: 30px;}
    
    .slicknav_btn{
      display: block;
      margin: 10px 10px 6px !important;
    }
    .header-inner{
      padding: 0;
    }
    .slicknav_nav .slicknav_row:hover{
      background: none;
      opacity: 1;
    }
    
    
    .user-menus .menu a{
      padding: 0.5em 1em !important;
    }
    header{
      padding-top: 15px;
    }
    .fixed-header .layout-header{
      position: relative;
    }    
    .slicknav_nav{
      background: #4c4c4c;
      margin-top: 65px !important;
    }
    .slicknav_btn{
      background-color: none;
    }
    .site-branding{
      width: 80%;
    }
    .slicknav_nav .slicknav_item a:hover{
      opacity: 1 !important;
      background: none;
      color: #fff;
    }
    .contact-page .views-row{
      margin: 30px;
    }
    .contact-page{
          margin-left: auto;
    margin-right: auto;
    width: 89%;
    }
    .field-name-field-photos .field__item{
      padding: 0 1em 0 0;
    }
    .field-name-field-photos .field__item img{
      margin: 1em 8px;
    }
    #block-services-teaser .service-teaser__icon{
      float: none;
    }
}